NegotiateScheme (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.auth
Class NegotiateScheme

    java.lang.Object
      org.apache.http.impl.auth.AuthSchemeBase
          org.apache.http.impl.auth.GGSSchemeBase
              org.apache.http.impl.auth.NegotiateScheme

All Implemented Interfaces:
  AuthScheme, ContextAwareAuthScheme

Deprecated. (4.2) use `SPNegoScheme` or `KerberosScheme`.

    @Deprecated
    public class NegotiateScheme

extends GGSSchemeBase

SPNEGO (Simple and Protected GSSAPI Negotiation Mechanism) authentication scheme.

Since:
  4.1

Field Summary

Fields inherited from class org.apache.http.impl.auth.AuthSchemeBase
`challengeState`

Constructor Summary
`NegotiateScheme()` Deprecated.
`NegotiateScheme(SpnegoTokenGenerator spengoGenerator)` Deprecated.
`NegotiateScheme(SpnegoTokenGenerator spengoGenerator, boolean stripPort)` Deprecated. Default constructor for the Negotiate authentication scheme.

Method Summary
`org.apache.http.Header` | `authenticate(Credentials credentials, org.apache.http.HttpRequest request)` Deprecated. Produces an authorization string for the given set of `Credentials`.
`org.apache.http.Header` | `authenticate(Credentials credentials, org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` Deprecated. Produces Negotiate authorization Header based on token created by processChallenge.
`protected byte[]` | `generateToken(byte[] input, String authServer)` Deprecated.
`protected byte[]` | `generateToken(byte[] input, String authServer, Credentials credentials)` Deprecated.
`String` | `getParameter(String name)` Deprecated. Returns the authentication parameter with the given name, if available.
`String` | `getRealm()` Deprecated. The concept of an authentication realm is not supported by the Negotiate authentication scheme.
`String` | `getSchemeName()` Deprecated. Returns textual designation of the Negotiate authentication scheme.
`boolean` | `isConnectionBased()` Deprecated. Returns `true`.

Methods inherited from class org.apache.http.impl.auth.GGSSchemeBase
`generateGSSToken, generateGSSToken, getManager, isComplete, parseChallenge`

Methods inherited from class org.apache.http.impl.auth.AuthSchemeBase
`getChallengeState, isProxy, processChallenge, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NegotiateScheme

    public NegotiateScheme(SpnegoTokenGenerator spengoGenerator,
                           boolean stripPort)

  Deprecated.
  Default constructor for the Negotiate authentication scheme.

### NegotiateScheme

    public NegotiateScheme(SpnegoTokenGenerator spengoGenerator)

  Deprecated.

### NegotiateScheme

    public NegotiateScheme()

  Deprecated.

Method Detail

### getSchemeName

    public String getSchemeName()

  Deprecated.
  Returns textual designation of the Negotiate authentication scheme.

  Returns:
    `Negotiate`

### authenticate

    public org.apache.http.Header authenticate(Credentials credentials,
                                               org.apache.http.HttpRequest request)
                                        throws AuthenticationException

  Deprecated.
  Description copied from interface: `AuthScheme`
  Produces an authorization string for the given set of `Credentials`.

  Specified by:
    `authenticate` in interface `AuthScheme`
  Overrides:
    `authenticate` in class `GGSSchemeBase`
  Parameters:
    `credentials` - The set of credentials to be used for athentication
    `request` - The request being authenticated
  Returns:
    the authorization string
  Throws:
    `AuthenticationException` - if authorization string cannot be generated due to an authentication failure

### authenticate

    public org.apache.http.Header authenticate(Credentials credentials,
                                               org.apache.http.HttpRequest request,
                                               org.apache.http.protocol.HttpContext context)
                                        throws AuthenticationException

  Deprecated.
  Produces Negotiate authorization Header based on token created by processChallenge.

  Specified by:
    `authenticate` in interface `ContextAwareAuthScheme`
  Overrides:
    `authenticate` in class `GGSSchemeBase`
  Parameters:
    `credentials` - Never used be the Negotiate scheme but must be provided to satisfy common-httpclient API. Credentials from JAAS will be used instead.
    `request` - The request being authenticated
    `context` - HTTP context
  Returns:
    an Negotiate authorisation Header
  Throws:
    `AuthenticationException` - if authorisation string cannot be generated due to an authentication failure

### generateToken

    protected byte[] generateToken(byte[] input,
                                   String authServer)
                            throws GSSException

  Deprecated.
  Overrides:
    `generateToken` in class `GGSSchemeBase`
  Throws:
    `GSSException`

### generateToken

    protected byte[] generateToken(byte[] input,
                                   String authServer,
                                   Credentials credentials)
                            throws GSSException

  Deprecated.
  Overrides:
    `generateToken` in class `GGSSchemeBase`
  Throws:
    `GSSException`

### getParameter

    public String getParameter(String name)

  Deprecated.
  Returns the authentication parameter with the given name, if available.

  There are no valid parameters for Negotiate authentication so this method always returns `null`.

  Parameters:
    `name` - The name of the parameter to be returned
  Returns:
    the parameter with the given name

### getRealm

    public String getRealm()

  Deprecated.
  The concept of an authentication realm is not supported by the Negotiate authentication scheme. Always returns `null`.

  Returns:
    `null`

### isConnectionBased

    public boolean isConnectionBased()

  Deprecated.
  Returns `true`. Negotiate authentication scheme is connection based.

  Returns:
    `true`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.